[MASTER] Gparted crashes when refreshing devices

Bug #141516 reported by TommyBlue on 2007-09-21
506
This bug affects 5 people
Affects Status Importance Assigned to Milestone
GParted
Fix Released
Critical
gparted (Baltix)
Undecided
Unassigned
gparted (Debian)
Fix Released
Unknown
gparted (Ubuntu)
Medium
Unassigned
Gutsy
Medium
Unassigned

Bug Description

gparted crashes when you press Ctrl-R or "Refresh devices" from the menu.

This happens also after all (most?) actions have been carried out, when gparted reloads the list automatically.

TEST CASE:
1. Open gparted
2. Press Ctrl-R

Workaround: start gparted again. All previous actions should have been carried out.

Yves-Antoine (yae) wrote :

I confirm the same behaviour on my Thinkpad T61 with Gutsy uptodate as of 20th of September 2007.
gparted crashes after successfully performing any work : "Applying all operations" (partition resizing/moving, deleting, formatting), swap on, swap off, and may be others.
I did not test with new 21srt of September updates, since only the new Kernel image made its way to fr..archive.ubuntu.com, without the associated restricted modules.

Yves-Antoine (yae) wrote :

Today 26th of September 2007, parted and libparted have been updated, but the bug in gparted is still there (behaviour did not change).

Yves-Antoine (yae) wrote :

Today 1st of October 2007, gparted has been updated to version 0.3.3-2ubuntu6, but the bug is still there, testing with wapoff/swapon on the Linux swap device.
The terminal output is (on my French machine) is :

yae@t61:~$ sudo gparted
[sudo] password for yae:
======================
libparted : 1.7.1
======================
Erreur de segmentation

which means segmentation fault in French.

marcogoni (cogoni) wrote :

the bug is still present in gutsy fully updated on a thinkpad x31
and a hitachi 7k60 HD.
this bug should be solved before gutsy is ready.

Bernd Schubart (sba) wrote :

Can confirm here on Gutsy with latest updates with two Samsung SP1614C in the system.
gparted crashes whenever refreshing devices, either manually or after having completed an operation (which seems to work fine, though).
Really annoying.

David Futcher (bobbo) wrote :

I get this too in Gutsy. The initial device scan but any scans after that cause a segfault. Log from one session (Went in an Refreshed devices immediately):

bobbo@penguin:~$ sudo gparted
======================
libparted : 1.7.1
======================
Unable to open /dev/scd0 read-write (Read-only file system). /dev/scd0 has been opened read-only.
Unable to open /dev/scd0 - unrecognised disk label.
Unable to open /dev/scd1 read-write (Read-only file system). /dev/scd1 has been opened read-only.
Unable to open /dev/scd1 - unrecognised disk label.
Unable to open /dev/scd0 read-write (Read-only file system). /dev/scd0 has been opened read-only.
Unable to open /dev/scd0 - unrecognised disk label.
Unable to open /dev/scd1 read-write (Read-only file system). /dev/scd1 has been opened read-only.
Unable to open /dev/scd1 - unrecognised disk label.
Segmentation fault

Chris (cpeter1) wrote :

Gutsy amd64, gparted 0.3.3-2ubuntu6

Partitioning and formatting operation work fine but as soon as the devices are refreshed, gparted crashes.
Affects:
usb devices cannot be accessed then anymore. "Could Not start process Unable to create io-slave."
When loggin-out, Suspend button in the log-out menu disappears. after restarting hal, suspend-button appears again, but usb-drive remains not accessable.

Message from /var/log/kern.log
Oct 24 15:29:19 flor kernel: [ 1248.087877] hald[8570]: segfault at 00002ae95f9a0000 rip 000000000040e8e0 rsp 00007fff4b1aeb10 error 4

tdreyer1 (tdreyer1) wrote :

I get similar error:

     tdreyer1@tdreyer1-Desktop:~$ sudo gparted
     [sudo] password for tdreyer1:
     ======================
     libparted : 1.7.1
     ======================
     Unable to open /dev/sdd - unrecognised disk label.
     Unable to open /dev/sdd - unrecognised disk label.
     Segmentation fault (core dumped)
     tdreyer1@tdreyer1-Desktop:~$

The errors happen after an apparently successful deletion & reformat of a USB drive (ipod 5g 30gb video). Crashes as soon as "ok" is clicked.

Tien Nguyen (tienhn) wrote :

Same here on Lenovo T61p laptop.
======================
libparted : 1.7.1
======================
Segmentation fault

Right after manual refresh device or after and change that requires automatic refresh.

Cheers.

hotani (hotani) wrote :

same here:
======================
libparted : 1.7.1
======================
zsh: segmentation fault (core dumped) sudo gparted

Christopher Boyer (wvuboyer) wrote :

Getting same. Happens after almost any action.

I have what seems to be the same behaviour in bug #154552. Marked that as a duplicate of this.

Simply selecting Refesh Devices or pressing CTRL-R will cause a Segmentation fault. 100% repeatable.

mmm@salamander:/etc$ sudo gparted
======================
libparted : 1.7.1
======================
Segmentation fault (core dumped)

mmm@salamander:/etc$ uname -a
Linux salamander 2.6.22-14-generic #1 SMP Sun Oct 14 21:45:15 GMT 2007 x86_64 GNU/Linux

Changed in gparted:
importance: Undecided → Low

Fixed in Ubuntu hardy (gparted 0.3.3-6).

Changed in gparted:
status: Confirmed → Fix Released
Changed in gparted:
importance: Low → Medium
Daniel Hahler (blueyed) on 2007-11-19
description: updated
Stéphane Maniaci (stephh) wrote :

Same here with Ubuntu 7.10 64 bits. How can we get the fix patch ?

Saivann Carignan (oxmosys) wrote :

Please wait, the patch for Linux Ubuntu Gutsy is still not released. Once the patch will be released, you'll get a update for gparted that will fix the problem.

Stéphane Maniaci (stephh) wrote :

Okay, thank you !

JFI: You _could_ follow https://wiki.ubuntu.com/UbuntuPackagingGuide/BuildFromDebdiff to create a fixed package yourself from the attached debdiff.

Changed in gparted:
importance: Undecided → Medium
status: New → Triaged
Stéphane Maniaci (stephh) wrote :

Worked fine, thank you !

FaVeRtAmUs (favertama) wrote :

Deb Diff woked just fine. thank you very much.

Ubuntu Gutsy w/ kernel 2.6.22-14

Changed in gparted:
status: Unknown → Fix Released
Changed in gparted:
status: Unknown → New
Martin Pitt (pitti) wrote :

Sponsored and accepted into gutsy-proposed, please test. Thanks, Daniel for sorting this out!

Changed in gparted:
status: Triaged → Fix Committed
Pedro Villavicencio (pedro) wrote :

Verification done:

Test with gparted 0.3.3-2ubuntu6 after reload the list gparted crashed.
Test with gparted 0.3.3-2ubuntu6.1 reload the list without the crash, the bug is fixed, thanks.

I also can't reproduce crash after any operations (during reload) with
gparted 0.3.3-2ubuntu6.1 . Original gparted version from Ubuntu 7.10
crashes on the same computer after any operation (during reload), also
when I press CTRL+R.
Confirming, that this bug is fixed, thanks.

Btw, when fixed gparted version will be available in ubuntu-updates ?

On Tue, Dec 04, 2007 at 11:35:23AM -0000, Pedro Villavicencio wrote:
> Verification done:
>
> Test with gparted 0.3.3-2ubuntu6 after reload the list gparted crashed.
> Test with gparted 0.3.3-2ubuntu6.1 reload the list without the crash, the bug is fixed, thanks.
>
> ** Tags added: verification-done

--
Labanaktis/Good luck,
Mantas Kriaučiūnas Jabber ID: <email address hidden> GPG ID: 43535BD5
Public organization "Open Source for Lithuania" - www.akl.lt

Martin Pitt (pitti) wrote :

Copied to gutsy-updates.

Changed in gparted:
status: Fix Committed → Fix Released
Fabián Rodríguez (magicfab) wrote :

I got the update this morning and can confirm it fixes the problem, which I had reproduced just before.

Thank you!

Plam (lambert-olivier) wrote :

Same for me ! Problem solved with the last update !

On Dec 12, 2007 1:07 PM, Fabián Rodríguez <email address hidden> wrote:
> I got the update this morning and can confirm it fixes the problem,
> which I had reproduced just before.
>
> Thank you!
>
>
> --
> [MASTER] Gparted crashes when refreshing devices
> https://bugs.launchpad.net/bugs/141516
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Oleg Vaskevich (olegv) wrote :

I can confirm on Gutsy LiveCD. At least previous actions are finished.

Changed in gparted:
status: New → Fix Released
phinn (phinnvr6) wrote :

The bug is still there. I have it too. I wonder why in the world parted is version 1.7.1. That version is like 1 1/2 years old. It might be fixed by 1.8.8 or whatever the newest is.

http://git.debian.org/?p=parted/parted.git;a=blob_plain;f=NEWS;hb=b738e95f6ec53af66c02c4f6dcefa22cbfb1eca1

GParted is also quite outdated.

Daniel Hahler (blueyed) wrote :

phinn, this bug is about gparted and it has been fixed there for Hardy and Gutsy (through gutsy-updates, this is why it crashes on the LiveCD, too - unless you've updated it).

For parted, please file another bug. Please note that Debian has only 1.7.1-5.1 in unstable, too.
More recent releases are in experimental: http://packages.debian.org/experimental/parted

The new gparted release is only 5 days old! I'll look into getting it into Hardy. Thanks for the info.

Graham (ubuntu-grahams) wrote :

I saw something extra:

 . . . .
Unable to open /dev/scd0 read-write (Read-only file system). /dev/scd0 has been opened read-only.
Unable to open /dev/scd0 - unrecognised disk label.

glibmm-ERROR **:
unhandled exception (type std::exception) in signal handler:
what: std::bad_alloc

aborting...

[1]- Aborted (core dumped) gparted
 . . . .

Looks like a plain old allocation problem.

Bug raised with Gnome also: http://bugzilla.gnome.org/show_bug.cgi?id=525726

Daniel Hahler (blueyed) wrote :

Graham, as pointed out in the upstream bug report, this is this exact bug and it should be fixed in Gutsy and Hardy.

If it isn't for you, please make sure that you are using the most recent gparted version available to you [1] and submit a new crash report (from the crash file in /var/crash).
Thank you.

[1]: $ apt-cache madison gparted
   gparted | 0.3.5-1ubuntu3 | http://archive.ubuntu.com hardy/main Packages
   ...
   gparted | 0.3.3-2ubuntu6.1 | http://archive.ubuntu.com gutsy-updates/main Sources

wgrant (bill-grantcentral) wrote :
  • unnamed Edit (1.6 KiB, text/html; charset=iso-8859-1)

Hi Daniel,

I am not Graham, but I did report this bug. When I get a permanent site for my Linux applications, I will be sure to update per your request.

Bill Grant

Daniel Hahler <email address hidden> wrote: Graham, as pointed out in the upstream bug report, this is this exact
bug and it should be fixed in Gutsy and Hardy.

If it isn't for you, please make sure that you are using the most recent gparted version available to you [1] and submit a new crash report (from the crash file in /var/crash).
Thank you.

[1]: $ apt-cache madison gparted
   gparted | 0.3.5-1ubuntu3 | http://archive.ubuntu.com hardy/main Packages
   ...
   gparted | 0.3.3-2ubuntu6.1 | http://archive.ubuntu.com gutsy-updates/main Sources

--
[MASTER] Gparted crashes when refreshing devices
https://bugs.launchpad.net/bugs/141516
You received this bug notification because you are a direct subscriber
of a duplicate bug.

  Bill Grant
Retired Silicon Valley Technologist

Changed in gparted:
importance: Unknown → Critical
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.